import { PageResult, PageParams } from './common';

// 成绩
export interface ScoreItem {
  id: number;
  // 准考证号
  examNo: string;
  // 姓名
  name: string;
  // 学号
  studentNo: string;
  // 科目
  subject: string;
  // 层次
  level: string;
  // 专业类型
  majorType: string;
  // 客观总分
  objectiveScore: number;
  // 主观总分
  subjectiveScore: number;
  // 全卷总分
  totalScore: number;
  // 是否缺考
  isAbsent: boolean;
  // 是否上传
  isUpload: boolean;
  // 是否违纪
  isDisciplinary: boolean;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
}
export type ScoreListPageRes = PageResult<ScoreItem>;

export interface ScoreListFilter {
  // 姓名
  name: string;
  // 准考证号
  examNo: string;
  // 学号
  studentNo: string;
  // 科目
  subject: number | null;
  // 筛选类型
  filterType: string;
  // 是否缺考
  isAbsent: boolean;
  // 是否上传
  isUpload: boolean;
  // 是否违纪
  isDisciplinary: boolean;
  // 总分
  startScore: number | undefined;
  endScore: number | undefined;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
}
export type ScoreListPageParam = PageParams<ScoreListFilter>;
